/********** Template CSS **********/
:root {
  --primary: #fd5d14;
  --secondary: #fdbe33;
  --light: #f4f6f8;
  --dark: #040f28;
}

.pt-6 {
  padding-top: 90px;
}

.pb-6 {
  padding-bottom: 90px;
}

.py-6 {
  padding-top: 90px;
  padding-bottom: 90px;
}

.btn {
  position: relative;
  font-weight: 600;
  text-transform: uppercase;
  transition: 0.5s;
}

.btn::after {
  position: absolute;
  content: "";
  width: 0;
  height: 5px;
  bottom: -1px;
  left: 50%;
  background: var(--primary);
  transition: 0.5s;
}

.btn.btn-primary::after {
  background: var(--dark);
}

.btn:hover::after,
.btn.active::after {
  width: 50%;
  left: 25%;
}

.btn-primary {
  color: #0000ff;
}

.btn-square {
  width: 36px;
  height: 36px;
}

.btn-sm-square {
  width: 28px;
  height: 28px;
}

.btn-lg-square {
  width: 46px;
  height: 46px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding-left: 0;
  padding-right: 0;
  text-align: center;
}

.back-to-top {
  position: fixed;
  display: none;
  left: 50%;
  bottom: 0;
  margin-left: -22px;
  border-radius: 0;
  z-index: 99;
}

.bg-dark-radial {
  background-image: -webkit-repeating-radial-gradient(
    center center,
    rgba(0, 0, 0, 0.3),
    rgba(0, 0, 0, 0.3) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: -moz-repeating-radial-gradient(
    center center,
    rgba(0, 0, 0, 0.3),
    rgba(0, 0, 0, 0.3) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: -ms-repeating-radial-gradient(
    center center,
    rgba(0, 0, 0, 0.3),
    rgba(0, 0, 0, 0.3) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: -o-repeating-radial-gradient(
    center center,
    rgba(0, 0, 0, 0.3),
    rgba(0, 0, 0, 0.3) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: repeating-radial-gradient(
    center center,
    rgba(0, 0, 0, 0.3),
    rgba(0, 0, 0, 0.3) 1px,
    transparent 1px,
    transparent 100%
  );
  background-size: 3px 3px;
}

.bg-light-radial {
  background-image: -webkit-repeating-radial-gradient(
    center center,
    rgba(256, 256, 256, 0.2),
    rgba(256, 256, 256, 0.2) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: -moz-repeating-radial-gradient(
    center center,
    rgba(256, 256, 256, 0.2),
    rgba(256, 256, 256, 0.2) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: -ms-repeating-radial-gradient(
    center center,
    rgba(256, 256, 256, 0.2),
    rgba(256, 256, 256, 0.2) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: -o-repeating-radial-gradient(
    center center,
    rgba(256, 256, 256, 0.2),
    rgba(256, 256, 256, 0.2) 1px,
    transparent 1px,
    transparent 100%
  );
  background-image: repeating-radial-gradient(
    center center,
    rgba(256, 256, 256, 0.2),
    rgba(256, 256, 256, 0.2) 1px,
    transparent 1px,
    transparent 100%
  );
  background-size: 3px 3px;
}

.navbar-dark .navbar-nav .nav-link {
  position: relative;
  padding: 35px 15px;
  font-size: 18px;
  text-transform: uppercase;
  color: var(--light);
  outline: none;
  transition: 0.5s;
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link.active {
  color: #fff500;
}

@media (max-width: 991.98px) {
  .navbar-dark .navbar-nav .nav-link {
    margin-left: 0;
    padding: 10px 0;
  }
}

.carousel-caption {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(4, 15, 40, 0.7);
  z-index: 1;
}

@media (max-width: 576px) {
  .carousel-caption h4 {
    font-size: 18px;
    font-weight: 500 !important;
  }

  .carousel-caption h1 {
    font-size: 30px;
    font-weight: 600 !important;
  }
}

.page-header-contruccion {
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: linear-gradient(rgba(4, 15, 40, 0.7), rgba(4, 15, 40, 0.7)),
    url(../img/banner-construccion.jpg) center center no-repeat;
  background-size: cover;
}
.page-header-electrificacion {
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: linear-gradient(rgba(4, 15, 40, 0.7), rgba(4, 15, 40, 0.7)),
    url(../img/banner-electrificacion.jpg) center center no-repeat;
  background-size: cover;
}

.page-header-mantenimiento {
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: linear-gradient(rgba(4, 15, 40, 0.7), rgba(4, 15, 40, 0.7)),
    url(../img/banner-mantenimiento.jpg) center center no-repeat;
  background-size: cover;
}
.page-header-nosotros {
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: linear-gradient(rgba(4, 15, 40, 0.7), rgba(4, 15, 40, 0.7)),
    url(../img/banner-nosotros.jpg) center center no-repeat;
  background-size: cover;
}
.page-header-solicita-servicio {
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: linear-gradient(rgba(4, 15, 40, 0.7), rgba(4, 15, 40, 0.7)),
    url(../img/banner-solicitar-servicio.jpg) center center no-repeat;
  background-size: cover;
}
.page-header-general {
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: linear-gradient(rgba(4, 15, 40, 0.7), rgba(4, 15, 40, 0.7)),
    url(../img/banner-general.jpg) center center no-repeat;
  background-size: cover;
}

.service-item .service-icon {
  margin-top: -50px;
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
}

.service-item .service-icon i {
  transition: 0.2s;
}

.service-item:hover .service-icon i {
  font-size: 60px;
}

.portfolio-item {
  margin-bottom: 60px;
}

.portfolio-title {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 120px;
  padding: 0 30px;
  right: 30px;
  left: 30px;
  bottom: -60px;
  background: #ffffff;
  z-index: 3;
}

.portfolio-btn {
  position: absolute;
  display: inline-block;
  top: 50%;
  left: 50%;
  margin-top: -60px;
  margin-left: -60px;
  font-size: 120px;
  line-height: 0;
  transition: 0.1s;
  transition-delay: 0.3s;
  z-index: 2;
  opacity: 0;
}

.portfolio-item:hover .portfolio-btn {
  opacity: 1;
}

.portfolio-box::before,
.portfolio-box::after {
  position: absolute;
  content: "";
  width: 0;
  height: 100%;
  top: 0;
  transition: 0.5s;
  z-index: 1;
  background: rgba(4, 15, 40, 0.7);
}

.portfolio-box::before {
  left: 0;
}

.portfolio-box::after {
  right: 0;
}

.portfolio-item:hover .portfolio-box::before {
  left: 0;
  width: 50%;
}

.portfolio-item:hover .portfolio-box::after {
  right: 0;
  width: 50%;
}

/* @media (min-width: 992px) {
  .testimonial,
  .contact-form {
    margin-left: -90px;
  }
} */
.logo_texto-170{
  margin-left: 170px;
  transition-duration: 0.4s;
}
.logo_texto-0{
  margin-left: 0px;
  transition-duration: 0.4s;
}
@media (max-width: 992px){
  .logo_texto h4{
    font-size: 1.1rem;
    text-align: center;
  }
  .espacio_empresa{
    /* display: none; */
  }
}

@media (min-width: 992px) {
  .footer::after {
    position: absolute;
    content: "";
    width: 1px;
    height: 100%;
    top: 0;
    left: 65%;
    background: var(--primary);
  }
}
@media (min-width: 1200px) {
  .carousel-caption {
    justify-content: flex-start;    
  }
  /* .logo_texto-170{
    margin-left: 170px;
  } */
}
@media (max-width: 1200px ) {
  .carousel-caption {
    justify-content: center;    
  }
  
}


.footer-shape::before {
  position: absolute;
  content: "";
  width: 80px;
  height: 100%;
  top: 0;
  left: -40px;
  background: #0000ff;
  transform: skew(40deg);
}

.menu-top-1 {
  position: absolute;
  top: -80px;
}
.menu-top-2 {
  position: relative;
  top: 0px;
}
.logo-img-1 {
  width: 160px;

  transition-duration: 0.4s;
}
.logo-img-2 {
  width: 100px;
  padding: 10px;
  transition-duration: 0.4s;
}
.logo-img-movil {
  width: 100px;
  padding: 0px;
  transition-duration: 0.4s;
}

/* ============================
familia
============================ */
.galeria {
  margin-top: 0px;
}
.galeria .img-col {
  margin-top: 50px;
}
.galeria .img-col {
  padding: 10px;
}
.galeria .img-col .img-item img {
  width: 100%;
}

/* ============================
Menu
============================ */

.text-start h6 {
  color: #0000ff;
}
.text-start span {
  color: #0000ff;
}
.mentop i {
  color: #0000ff;
}

/* ============================
Servicios
============================ */
.text-servicios {
  color: #040f28;
}
/* ============================
Servicios-Home
============================ */
.link-servicio {
  color: #0000ff;
}
.link-servicio:hover {
  color: #040f28;
  animation-duration: 0.4s;
}

/* ===================BOTON DE WHATSAPPP================== */
.btn-whats {
  height: 55px;
  width: 55px;
  background: #fff500;
  border-radius: 3rem;
  position: fixed;
  bottom: 120px;
  /* top: 20%; */
  right: 17px;
  cursor: pointer;
  z-index: 99;
}

.btn-whats:hover {
  background-color: #7ab730;
  transition: all 1s;
}
.msmw {
  width: 246px;
  height: 62px;
  border: 1px solid #ffffff;
  border-radius: 1rem 1rem 0 1rem;
  padding: 6px 5px;
  text-align: left;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  background: linear-gradient(100deg, #ffffff, #eeeeee);
  position: fixed;
  bottom: 120px;
  /* top: 20%; */
  right: 85px;
  z-index: 999999;
  color: rgb(10, 0, 87);
}

.msmw:hover {
  background: linear-gradient(40deg, #ffffff, #ffffff);
  transition: all 1s;
  color: black;
}

#icon_whast {
  float: left;
  margin-right: 3px;
}



/* GALERIA  */

.galeria {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 15px;
  padding: 20px;
}

.galeria .imagen {
  width: 100%;
  aspect-ratio: 1/1; /* Mantiene cuadros */
  background: #ffffff; /* Fondo gris clarito opcional */
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  border-radius: 8px;
  padding: 15px;
}

.galeria .imagen img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain; /* Ajusta dentro del espacio sin recortar */
  display: block;
}

/* Responsive */
@media (max-width: 992px) {
  .galeria {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 768px) {
  .galeria {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 480px) {
  .galeria {
    grid-template-columns: 1fr;
  }
}

/* **********preguntas frecuentes  */

.faq {
  max-width: 800px;
  margin: 50px auto;
  padding: 0 20px;
}

.faq-titulo {
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 40px;
  color: #333;
}

.faq-item {
  margin-bottom: 20px;
  border-bottom: 1px solid #ccc;
  padding-bottom: 15px;
}

.faq-pregunta {
  font-weight: bold;
  font-size: 1.2rem;
  cursor: pointer;
  color: #0056b3;
  margin-bottom: 10px;
}

.faq-respuesta {
  font-size: 1rem;
  color: #555;
  padding-left: 10px;
}

/* **********preguntas frecuentes  */
/* =====================================
Ventajas competitivas
===================================== */
/* CSS de Colores */
.text-purple {
    color: #7d02d4;
}

.text-blue {
    color: #0000ff;
}

.bg-opacity-75 {
    background-color: rgba(255, 255, 255, 0.75);
}

.ventajas-competitivas li {
    margin-bottom: 1rem;
    font-size: 1.05rem;
    font-weight: 500;
}

/* =======================================
Mision vision, valores
======================================= */
.seccion-mision-vision .text-primary {
  color: #0d47a1;
  font-weight: 700;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  letter-spacing: 1.5px;
}

.seccion-mision-vision .text-purple {
  color: #7d02d4;
}

.seccion-mision-vision .bg-white {
  background-color: #ffffff;
}

.seccion-mision-vision {
  max-width: 1140px;
  margin: 0 auto;
}

.seccion-mision-vision .py-6 {
  padding-top: 3rem;
  padding-bottom: 3rem;
}

.seccion-mision-vision .px-5 {
  padding-left: 3rem;
  padding-right: 3rem;
}

.seccion-mision-vision h3 {
  font-size: 1.8rem;
  margin-bottom: 1rem;
  border-bottom: 3px solid #7d02d4;
  padding-bottom: 0.3rem;
}

.seccion-mision-vision .text-body {
  font-size: 1rem;
  line-height: 1.6;
  color: #333333!important;
  font-family: 'Open Sans', sans-serif;
}

.seccion-mision-vision .valores-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 1.25rem 3rem;
  margin-top: 1rem;
}

.seccion-mision-vision .valor-item {
  font-size: 1rem;
  color: #555555;
  display: flex;
  align-items: flex-start;
  gap: 0.6rem;
  font-family: 'Open Sans', sans-serif;
}

.seccion-mision-vision .valor-item i {
  font-size: 1.2rem;
  margin-top: 3px;
}

.seccion-mision-vision .row.g-5 {
  gap: 0rem;
}

.seccion-mision-vision .mb-5 {
  margin-bottom: 3rem !important;
}
/* =================================
FORMA
================================= */
.btn-light{
  height: 55px;
  background-color: #fff;
  text-transform: none;
  

}

.bootstrap-select .dropdown-toggle {
  display: flex;
  align-items: center; /* centra verticalmente */
  height: auto; /* o pon una altura fija si lo deseas */
}

.footer p a{
  color: rgba(255, 255, 255, 0.5) !important;
}
.footer p a:hover{
  color: rgb(255, 255, 255) !important;
}
.col-link a:hover{
 color: rgb(255, 255, 255) !important; 
}